Package org.springframework.cloud.task.configuration

# Class SimpleTaskAutoConfiguration

java.lang.Object
org.springframework.cloud.task.configuration.SimpleTaskAutoConfiguration

@Configuration(proxyBeanMethods=false) @EnableTransactionManagement @EnableConfigurationProperties(TaskProperties.class) @ConditionalOnProperty(prefix="spring.cloud.task.autoconfiguration", name="enabled", havingValue="true", matchIfMissing=true) public class SimpleTaskAutoConfiguration extends Object
Base `Configuration` class providing common structure for enabling and using Spring Task. Customization is available by implementing the `TaskConfigurer` interface.

Author:
  Glenn Renfro, Michael Minella

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final org.apache.commons.logging.Log`
  `logger`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleTaskAutoConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `initialize()`
  Determines the `TaskConfigurer` to use.
  `org.springframework.transaction.PlatformTransactionManager`
  `springCloudTaskTransactionManager()`
  `TaskExplorer`
  `taskExplorer()`
  `TaskNameResolver`
  `taskNameResolver()`
  `TaskRepository`
  `taskRepository()`
  `TaskRepositoryInitializer`
  `taskRepositoryInitializer()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### logger

    protected static final org.apache.commons.logging.Log logger

- ## Constructor Details

  - ### SimpleTaskAutoConfiguration

    public SimpleTaskAutoConfiguration()

- ## Method Details

  - ### taskRepository

    @Bean public TaskRepository taskRepository()

  - ### springCloudTaskTransactionManager

    @Bean public org.springframework.transaction.PlatformTransactionManager springCloudTaskTransactionManager()

  - ### taskExplorer

    @Bean public TaskExplorer taskExplorer()

  - ### taskNameResolver

    @Bean public TaskNameResolver taskNameResolver()

  - ### taskRepositoryInitializer

    @Bean @Lazy(false) public TaskRepositoryInitializer taskRepositoryInitializer()

  - ### initialize

    @PostConstruct protected void initialize()
    Determines the `TaskConfigurer` to use.